/*  =========================================================
    SING - ALONG DISK PLAYER.
    (C) 1998, 1999   Michael Glickman.  xsadp@yahoo.com
    ----------------------------------------------------------
    NOTICE:
            Sing-Along Disk Player is copyrighted by the author.
            See GNU general public licence (GPL) available at
	    ftp://metalab.unc.edu/pub/gnu/COPYING for details
	    and legal issues.

            You are expected to provide appropriate references
            when using a part of the code in your software.

	    Author strongly advices against using this code, or
	    a part of it, in an application designed to run  on
	    any Microsoft(tm) platfrom.
    ========================================================= */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

/*
  static char *SadpEpilogue =
  "\n\nIf you enjoyed SADP, try another author's \"creation\":\n\n"
  "Intelligent TETRIS - enjoy playing the eternally young game\n"
  "                     listening to your favourite tunes,  or\n"
  "                     have a rest and watch how the computer\n"
  "                     can do it for you!\n\n"
  "X and svgalib versions are available.  The  svgalib version\n"
  "supports different video-modes and is expected to work with\n"
  "EGA, VGA and all superVGA cards,even not supported directly\n"
  "by svaglib. Available at:\n"
  "  ftp://sunsite.unc.edu/pub/Linux/games/arcade/tetris\n\n"
  "Your comments (no matter how good they are) are valuable.\n"
  "Send your email to xsadp@yahoo.com\n\n"
  "Bye till 1999.\n\n";
*/
char  *HelpPages[] =
     {  "-    OPERATIONS and KEYS.  ",
        "(Unless otherwise specified",
        "keys are case insensitive) ",
        "                           ",
        "---- Help/Info display ----",
        "                           ",
        "81  PREV COLUMN      Left  ",
        "82  NEXT COLUMN      Right ",
        "83  NEXT PAGE        Down  ",
        "80  PREV PAGE         Up   ",
        "88x LAST PAGE        End   ",
        "89x FIRST PAGE       Home  ",
        "84x SLIDE FORWARD   Space  ",
        "85x SLIDE BACK      Backsp ",
        "87x STOP             Ins   ",
        "                           ",
        "-----    CD control   -----",
        "                           ",
        "4xx PLAY/RESTART    Space  ",
        "    PAUSE/RESUME    Centre ",
        "71x STOP             Ins   ",
        "72x    EJECT         Ins   ",
        "70x         LOAD     Ins   ",
        "                           ",
        "1x  BACK             Left  ",
        "2x  FORWARD          Right ",
        "3x  NEXT TRACK       Down  ",
        "0x  PREV TRACK        Up   ",
        "9xx FORW 5 TRACKS    PgDn  ",
        "8xx BACK 5 TRACKS    PgUp  ",
        "    FIRST TRACK      Home  ",
        "                           ",
        "6xx QUIT                Q  ",
        "12x STOP and QUIT       Z  ",
        "                           ",
        "-----  Mixer control  -----",
        "                           ",
        "11  NEXT DEVICE         >  ",
        "10  PREVIOUS DEVICE     <  ",
        "    VOLUME UP           ]  ",
        "    VOLUME DOWN         [  ",
        "    BALANCE LEFT        {  ",
        "    BALANCE RIGHT       }  ",
        "    INPUT ON / OFF      '  ",
        "                           ",
        "---- Disc Info Editor  ----",
        "                           ",
        "    MOVE LEFT        Left  ",
        "    MOVE RIGHT       Right ",
        "    ERASE PREVIOUS  Backsp ",
        "    ERASE CURRENT    Del   ",
        "    TOGGLE INSERT    Ins   ",
        "    NEXT FIELD       Enter ",
        "    SAVE            Ctrl+S ",
        "    RELOAD          Ctrl+L ",
        "    REFRESH SCREEN  Ctrl+R ",
        "    Toggle Kbd Focus  Tab  ",
        "                           ",
        "--- Track/Play List Edit --",
        "                           ",
        "    NEXT LINE        Down  ",
        "    PREV LINE         Up   ",
        "    NEXT PAGE        PgDn  ",
        "    PREV PAGE        PgUp  ",
        "    LAST LINE        End   ",
        "    FIRST LINE       Home  ",
        "    CHANGE ACTIVE     F6   ",
        "    INSERT/DELETE   Centre ",
        "                           ",
        "    NEXT LINE I/A  Sh-Down ",
        "    PREV LINE I/A  Sh-Up   ",
        "    NEXT PAGE I/A  Sh-PgDn ",
        "    PREV PAGE I/A  Sh-PgUp ",
        "    LAST LINE  I/A Sh-End  ",
        "    FIRST LINE I/A Sh-Home ",
        "                           ",
        "    INSERT        Sh-Right ",
        "    DELETE        Sh-Left  ",
        "                           ",
        "---- Time display Modes ---",
        "                           ",
        "40x TIME ELAPSED        t T",
        "41x TIME REMAINED       t T",
        "42x PERCENTAGE ELAPSED  t T",
        "43x PERCENTAGE REMAINED t T",
        "                           ",
        "---- Auto-play options ----",
        "                           ",
        "44x AUTO-PLAY ON        A  ",
        "45x AUTO-PLAY OFF       A  ",
        "51x LOOP PLAY ON        L  ",
        "52x LOOP PLAY OFF       L  ",
        "                           ",
        "-----   Play   Modes   ----",
        "                           ",
        "46x NORMAL              p P",
        "47x PLAY LIST           p P",
        "48x RANDOM              p P",
        "49x INTRODUCTION        p P",
        "50x SINGLE TRACK        p P",
        "                           ",
        "-----   Miscellaneous  ----",
        "                           ",
        "76x NEXT SECTION       h F1",
        "75x PREV SECTION       H F2",
        "    HEADER MODE         D  ",
/*        "15x SUSPEND             S  ", */
        "16x SAVE OPTIONS        V  ",
        "14x REFRESH             R  ",
        "    SUSPEND             S  ",
        "                           ",
          "------  Mouse  use   ------",
        "                           ",
        "Left button - operate.     ",
        "Middle and right buttons - ",
        "associate a function or    ",
        "perform associated function",
        "                           ",
          "---------------------------",
        "For details and trouble -  ",
        "shooting refer to man page."
};

const short HelpWidth = 26;
const short HelpLineCount = sizeof(HelpPages) / sizeof(char *);
/*
char *SadpAbout[] =
{

  "   @@@@   @@@@        @ @@@@@@   ",
  "  @    @ @    @       @ @     @  ",
  "  @           @       @ @     @  ",
  "   Sing   Along   Disc@ Player   ",
  "       @ @    @  @    @ @        ",
  "  @    @ @    @  @    @ @        ",
  "   @@@@   @@@@ @  @@@@@ @        ",
  "                                 ",
  "=================================",
  "Now with full-featured DB support",
//  "A new year present to Linux users",
//  "Version 1.0         Nov-Dec. 1998",
  "By Abandoned Computer Enthusiast.",
  "Version 1.1         Mar-Apr. 1999",
  "                                 "
  "    DEVELOPMENT ENVIRONMENT      ",
  "CPU:                             ",
  "  - Intel Pentium(tm) MMX 166MHz ",
  "  - Intel(tm) 80486DX 66MHz      ",
  "                                 ",
  "CDs:                             ",
  "  - BTC 12x, AOpen 40x IDE ATAPI ",
  "  - Creative/Panasonic CR-563    ",
  "  - Panasonic CD-R               ",
  "    SCSI CONTROLLER: NCR53810A   ",
  "  Drivers by Scott Snyder,       ",
  "  Eberhard Moenkeberg, David     ",
  "  Giller, Wolfgang Stanglmeier   ",
  "                                 ",
  "SOUND CARDS:                     ",
  "  - Gravis Ultrasound            ",
  "  - Sound Blaster 16 (1994)      ",
  "  - Sound Blaster AWE-64         ",
  "  Sound driver: OSS 3.50 by Hannu",
  "  Savolainen, 4front, and a lot  ",
  "  of supporters                  ",
  "                                 ",
  "VIDEO CARDS:                     ",
  "  - Diamond Stealth 3D Pro       ",
  "  - Trident TGUI 9440            ",
  "                                 ",
  "SYSTEM:                          ",
  "  OS: Linux 2.0.33 and 2.0.36    ",
  "                                 ",
  "DEVELOPMENT SOFTWARE:            ",
  " gcc 2.7.2, make 3.74, gdb 4.5.11",
  "      by Free Software Foundation",
  "                                 ",
  "TEXT EDITORS:                    ",
  " - we 1.5.8a by Fred Kruse       ",
  " - elvis 1.8.pl3 (alias 'vi')    ",
  "         by Steve Kirkendall     ",
  "                                 ",
  "LIBRARIES:                       ",
  " - libncurses v1.9.9e            ",
  "   Zeyd Ben-Halim & Eric Raymond ",
  " - libgpm 1.14                   ",
  "   by Alessandro Rubini          ",
  "                                 ",
  "       DOCUMENTATION USED        ",
  "  - cdrom.h header file          ",
  "    by David Giller and Eberhard ",
  "    Moenkeberg                   ",
  "  - soundcard.h and OSS on-line  ",
  "    spec by Hannu Savolainen     ",
  "                                 ",
  "SOURCE CODE CONSULTED:           ",
  "   libcdaudio by Tony Arcieri    ",
  "   wavplay   by Warren Gay       ",
  "   cam mixer by Jan Vandenberghe ",
  "   xcd       by Sean Vyain       ",
  "   gpm       by Alessandro Rubini",
  "   setcd     by David van Leeuwen",
  "                                 ",
  "            CREDITS              ",
  " -  Prof. Robert Sedgewick       ",
  "    for the idea of using complex",
  "    roots of  unity  in  Fourier ",
  "    Transform (\"Algorithms in C\",",
  "    Addison-Wesley, 1990)        ",
  " -  Pascal and DOJ               ",
  "   (Niklas Beisert,Dirk Jagdmann)",
  "    the creators of Cubic Player ",
  "    with the fastest CD spectrum ",
  "    analyser. Will we ever have  ",
  "    a chance to see how it works ",
  "    in Linux ?                   ",
  "                                 ",
  "THANKS TO WWW CORRESPONDENTS FOR ",
  "BUG REPORTS, COMMENTS  AND FRESH ",
  "IDEAS (alphabetic order):        ",
  " Tano Fotang, Bill Grzanich,     ",
  " Mike Hakes, Roeland Th. Jansen, ",
  " Jonathan Larmour,  Pawel        ",
  " Olszewski, Bob van der Poel,    ",
  " Vladimir [?]                    ",
  "                                 ",
  "SPECIAL THANKS:                  ",
  " - RubiXcom (Alfred Glickman)    ",
  "   for valuable suggestions and  ",
  "   comments                      ",
  " - Bill Grzanich for significant ",
  "   contribution to Ensoniq sound ",
  "   cards support                 ",
  " - Roy George for his ESS-1868   ",
  " - Nathan Bailey for his Linux   ",
  "   reference page                ",
  "                                 ",
  "  GREETINGS TO VOLUNTEER  LINUX  ",
  "  SUPPORTERS ALL OVER THE WORLD! ",
  "+-------------------------------+",
  "|       tWips oN the Way:       |",
  "|                               |",
  "|  Sing-Along  Disk  Player is  |",
  "|  an exclussive Linux product. |",
  "|  Enjoy music with SADP,  and  |",
  "|  say NO! to ... everyone who  |",
  "|  does not appear to like it.  |",
  "+-------------------------------+"
};
*/

char *MiscPages[] =
{

  "%  @@@@   @@@@        @ @@@@@@   ",
  "% @    @ @    @       @ @     @  ",
  "% @           @       @ @     @  ",
  "%  Sing   Along   Disc@ Player   ",
  "%      @ @    @  @    @ @        ",
  "% @    @ @    @  @    @ @        ",
  "%  @@@@   @@@@ @  @@@@@ @        ",
  "                                 ",
  "=================================",
  "Now with play list support!      ",
  "By Abandoned Computer Enthusiast.",
  "Version 1.3.4            May 1999",
  "                                 ",
  "%   DEVELOPMENT ENVIRONMENT      ",
  "CPU:                             ",
  "  - Intel Pentium(tm) MMX 166MHz ",
  "  - Intel(tm) 80486DX 66MHz      ",
  "                                 ",
  "CDs:                             ",
  "  - BTC 12x, AOpen 40x IDE ATAPI ",
  "  - Creative/Panasonic CR-563    ",
  "  - Panasonic CD-R               ",
  "    SCSI CONTROLLER: NCR53810A   ",
  "  Drivers by Scott Snyder,       ",
  "  Eberhard Moenkeberg, David     ",
  "  Giller, Wolfgang Stanglmeier   ",
  "                                 ",
  "SOUND CARDS:                     ",
  "  - Gravis Ultrasound            ",
  "  - Sound Blaster 16 (1994)      ",
  "  - Sound Blaster AWE-64         ",
  "  Sound driver: OSS 3.50 by Hannu",
  "  Savolainen, 4front, and a lot  ",
  "  of supporters                  ",
  "                                 ",
  "VIDEO CARDS:                     ",
  "  - Diamond Stealth 3D Pro       ",
  "  - Trident TGUI 9440            ",
  "                                 ",
  "SYSTEM:                          ",
  "  OS: Linux 2.0.33 and 2.0.36    ",
  "  X-SERVER: XFree86 2.3.2        ",
  "  WM: fvwm 1.23b by Robert Nation",
  "                                 ",
  "%    DEVELOPMENT SOFTWARE        ",
  " gcc 2.7.2, make 3.74, gdb 4.5.11",
  "      by Free Software Foundation",
  "                                 ",
  "TEXT EDITORS:                    ",
  " - we 1.5.8a by Fred Kruse       ",
  " - cooledit 3.6.0 by Paul Sheer  ",
  " - elvis 1.8.pl3 (alias 'vi')    ",
  "         by Steve Kirkendall     ",
  "                                 ",
  "GRAPHIC EDITORS:                 ",
  " - Resource Workshop 1.02 by     ",
  "   Borland(tm) International Inc ",
  " - xv 3.10 by John Bradley       ",
  " - bitmap  by Davor Matic        ",
  "                                 ",
  "LIBRARIES:                       ",
  " - libncurses 1.9.9e and 4.2 by  ",
  "   Zeyd Ben-Halim & Eric Raymond ",
  " - libgpm v1.14                  ",
  "   by Alessandro Rubini          ",
  " - XForms 0.86, 0.88 and 0.81    ",
  "   by T.C.Zhao & Mark Overmars   ",
  "                                 ",
  "%      DOCUMENTATION USED        ",
  "  - \"Forms Library. A Graphical  ",
  "    User Interface Toolkit for X\"",
  "    by T.C.Zhao and Mark Overmars",
  "  - \"Advanced  X-Window Applica- ",
  "    tions Programming\" by Eric F.",
  "    Johnson and Kevin Richards   ",
  "    2nd edition M&T Books 1994   ",
  "  - cdrom.h header file          ",
  "    by David Giller and Eberhard ",
  "    Moenkeberg                   ",
  "  - soundcard.h and OSS on-line  ",
  "    spec by Hannu Savolainen     ",
  "                                 ",
  "SOURCE CODE CONSULTED:           ",
  "   libcdaudio by Tony Arcieri    ",
  "   wavplay   by Warren Gay       ",
  "   cam mixer by Jan Vandenberghe ",
  "   xcd       by Sean Vyain       ",
  "   gpm       by Alessandro Rubini",
  "   setcd     by David van Leeuwen",
  "                                 ",
  "%           CREDITS              ",
  " -  Prof. Robert Sedgewick       ",
  "    for the idea of using complex",
  "    roots of  unity  in  Fourier ",
  "    Transform (\"Algorithms in C\",",
  "    Addison-Wesley, 1990)        ",
  " -  Pascal and DOJ               ",
  "   (Niklas Beisert,Dirk Jagdmann)",
  "    the creators of Cubic Player ",
  "    with the fastest CD spectrum ",
  "    analyser. Will we ever have  ",
  "    a chance to see how it works ",
  "    in Linux ?                   ",
  "                                 ",
  "THANKS TO WWW CORRESPONDENTS FOR ",
  "BUG REPORTS, COMMENTS  AND FRESH ",
  "IDEAS (alphabetic order):        ",
  " Tano Fotang, Robin Cosby, Bill  ",
  " Grzanich, Mike Hakes, Roeland   ",
  " Th. Jansen, Jonathan Larmour,   ",
  " Maurizio Loreti,Pawel Olszewski,",
  " Bob van der Poel, Vladimir [?], ",
  " T.C.Zhao                        ",
  "                                 ",
  "SPECIAL THANKS:                  ",
  " - RubiXcom (Alfred Glickman)    ",
  "   for valuable suggestions and  ",
  "   comments                      ",
  " - Bill Grzanich for significant ",
  "   contribution to Ensoniq sound ",
  "   cards support                 ",
  " - Roy George for his ESS-1868   ",
  " - Nathan Bailey for his Linux   ",
  "   reference page                ",
  "                                 ",
  "% GREETINGS TO VOLUNTEER  LINUX  ",
  "% SUPPORTERS ALL OVER THE WORLD! ",
  "+-------------------------------+",
  "|       tWips oN the Way:       |",
  "|                               |",
  "|  Sing-Along  Disk  Player is  |",
  "|  an exclussive Linux product. |",
  "|  Enjoy music with SADP,  and  |",
  "|  say NO! to ... everyone who  |",
  "|  does not appear to like it.  |",
  "+-------------------------------+"
};

const short MiscWidth = 33;
const short MiscLineCount = sizeof(MiscPages) / sizeof(char *);


void print_epilogue(void)
{

/*  puts(clear_screen);
    puts(cursor_home);
*/
/*    puts(SadpEpilogue); */
    ;
}
